<?php
session_start();
include('../config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

if($_GET['orden']) $orden=$_GET['orden']; else $orden=$_POST['orden'];
if($_GET['palet']) $palet=$_GET['palet']; else $palet=$_POST['palet'];

//12-09-2022 Esto porque con esta llamada solo queremos obtener la ubi del palet
if($_GET['ubicacion']) $devolverSoloUbicacion=$_GET['ubicacion']; else $devolverSoloUbicacion=$_POST['ubicacion'];


$peticion='SGAPackingListPalet#'.$_SESSION['orden']['Empresa'].'#'.$_SESSION['usuario']['Usuario'].'#INFO#'.$orden.';'.$palet;
$resultado=PedirDatos($wsUsuario,$wsClave,$wsEmpresa,$peticion);
	
$infoPalet=$resultado[0];
	
if($_GET['traza']=='si') {
	echo "<p>".$peticion."</p>";
	print_r($resultado);
}

//12-09-2022 Esto porque con esta llamada solo queremos obtener la ubi del palet
if($devolverSoloUbicacion) {
	echo $infoPalet['Ubicacion'].'#'.$infoPalet['TipoPalet'];
}
else { //Sino, es la gestión de packing list de siempre

	if($infoPalet['Error']) echo '0#'.$infoPalet['Error'];
	else if($infoPalet['PackingList']) echo '1#'.$infoPalet['OrdenCoincidentePL'].'#'.$infoPalet['PackingList']; //el palet ya está en PL, devuelve cual para validar si es el mismo
	else if($infoPalet['PackingListsCoincidentes']) echo '2'; //Palet libre y ya existen PL compatibles con la OP actual
	else echo '3';

}
